## Function template format_named_scope

boost::log::expressions::format_named_scope

## Synopsis

    // In header: <boost/log/expressions/formatters/named_scope.hpp>

    template<typename DescriptorT, template< typename > class ActorT,
             typename CharT>
      format_named_scope_actor< fallback_to_none, CharT, ActorT >
      format_named_scope(attribute_keyword< DescriptorT, ActorT > const & keyword,
                         const CharT * element_format);

## Description

The function generates a manipulator node in a template expression. The manipulator must participate in a formatting expression (stream output or `format` placeholder filler).

Parameters:

`element_format` | Format string for a single named scope
`keyword` | Attribute keyword